Page MenuHomePhabricator

When converting/enabling allow subpages except for batch wikitext->Flow (blocking for Catalan)
Closed, ResolvedPublic

Description

I think the logic of not allowing subpages is so Talk:Earth/Proposed_draft can stay a sandbox.

That means:

  • For occupy namespaces, it is not enabled by default, so you see a blank regular page, rather than a blank Flow board.
  • For batch wikitext->Flow conversions, it shouldn't get 'converted' (moving it to an archive page and/or putting useless content in blank Flow board's header)

However, the below should be fine:

  • Special:EnableFlow, since it's explicit
  • LQT->Flow, since we know it's a talk page

I think a good way to do this is to move it to the ConversionStrategy (e.g. shouldConvert( Title $title ). Special:EnableFlow can then use a subclass of Flow\Import\Wikitext\ConversionStrategy that waives this requirement.

I think the "Skipping LQT enabled page" in convertNamespaceFromWikitext.php should also be moved to there, since it's the same concept.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 6:42 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 14 2015, 6:42 PM
DannyH renamed this task from When converting/enabling allow subpages except for batch wikitext->Flow to When converting/enabling allow subpages except for batch wikitext->Flow (blocking for Catalan).May 14 2015, 6:49 PM
DannyH triaged this task as Unbreak Now! priority.
DannyH set Security to None.

Change 211088 had a related patch set uploaded (by Mattflaschen):
DO NOT MERGE: Only enforce subpage rules on batch wikitext->Flow conversions

https://gerrit.wikimedia.org/r/211088

Change 211088 merged by jenkins-bot:
Only enforce subpage rules on batch wikitext->Flow conversions

https://gerrit.wikimedia.org/r/211088

Change 211847 had a related patch set uploaded (by Mattflaschen):
Only enforce subpage rules on batch wikitext->Flow conversions

https://gerrit.wikimedia.org/r/211847

Change 211851 had a related patch set uploaded (by Mattflaschen):
Only enforce subpage rules on batch wikitext->Flow conversions

https://gerrit.wikimedia.org/r/211851

Change 211847 merged by jenkins-bot:
Only enforce subpage rules on batch wikitext->Flow conversions

https://gerrit.wikimedia.org/r/211847

Change 211851 merged by jenkins-bot:
Only enforce subpage rules on batch wikitext->Flow conversions

https://gerrit.wikimedia.org/r/211851

Mattflaschen-WMF lowered the priority of this task from Unbreak Now! to High.May 19 2015, 6:19 PM

Per retrospective

Change 212038 had a related patch set uploaded (by Mattflaschen):
Bump Flow for import and EnableFlow changes

https://gerrit.wikimedia.org/r/212038

Change 212039 had a related patch set uploaded (by Mattflaschen):
Bump Flow for import and EnableFlow changes

https://gerrit.wikimedia.org/r/212039

Change 212039 merged by jenkins-bot:
Bump Flow for import and EnableFlow changes

https://gerrit.wikimedia.org/r/212039

Change 212038 merged by jenkins-bot:
Bump Flow for import and EnableFlow changes

https://gerrit.wikimedia.org/r/212038

DannyH closed this task as Resolved.May 20 2015, 5:08 PM
DannyH added a subscriber: DannyH.

Works now. Thank you!